From 91f3d3af29d5716a56321ca06f07a1061e79566d Mon Sep 17 00:00:00 2001
From: PegoraroF10 <marcos@f10.com.br>
Date: Fri, 19 Dec 2025 11:30:27 -0300
Subject: [PATCH] Added xreflabel="environment variables" to "libpq-envars" on
 libpq.sgml and all section n.n.n will be replaced by environment variables

---
 doc/src/sgml/config.sgml               | 4 ++--
 doc/src/sgml/libpq.sgml                | 6 +++---
 doc/src/sgml/oid2name.sgml             | 5 ++---
 doc/src/sgml/ref/clusterdb.sgml        | 3 +--
 doc/src/sgml/ref/createdb.sgml         | 3 +--
 doc/src/sgml/ref/createuser.sgml       | 3 +--
 doc/src/sgml/ref/dropdb.sgml           | 3 +--
 doc/src/sgml/ref/dropuser.sgml         | 3 +--
 doc/src/sgml/ref/pg_amcheck.sgml       | 6 ++----
 doc/src/sgml/ref/pg_basebackup.sgml    | 6 ++----
 doc/src/sgml/ref/pg_combinebackup.sgml | 3 +--
 doc/src/sgml/ref/pg_dump.sgml          | 3 +--
 doc/src/sgml/ref/pg_dumpall.sgml       | 3 +--
 doc/src/sgml/ref/pg_isready.sgml       | 7 +++----
 doc/src/sgml/ref/pg_receivewal.sgml    | 3 +--
 doc/src/sgml/ref/pg_recvlogical.sgml   | 3 +--
 doc/src/sgml/ref/pg_restore.sgml       | 5 ++---
 doc/src/sgml/ref/pg_rewind.sgml        | 8 ++++----
 doc/src/sgml/ref/pgbench.sgml          | 3 +--
 doc/src/sgml/ref/psql-ref.sgml         | 9 ++++-----
 doc/src/sgml/ref/reindexdb.sgml        | 3 +--
 doc/src/sgml/ref/vacuumdb.sgml         | 3 +--
 doc/src/sgml/vacuumlo.sgml             | 3 +--
 23 files changed, 38 insertions(+), 60 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 405c9689bd0..e7137132b75 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -4924,8 +4924,8 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
           Specifies a connection string to be used for the standby server
           to connect with a sending server. This string is in the format
           described in <xref linkend="libpq-connstring"/>. If any option is
-          unspecified in this string, then the corresponding environment
-          variable (see <xref linkend="libpq-envars"/>) is checked. If the
+          unspecified in this string, then the corresponding parameter on
+          <xref linkend="libpq-envars"/> is checked. If the
           environment variable is not set either, then
           defaults are used.
          </para>
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 7d05938feda..6e6925c5527 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -166,8 +166,8 @@ PGconn *PQconnectdbParams(const char * const *keywords,
       <para>
        After processing all the array entries and any expanded connection
        string, any connection parameters that remain unset are filled with
-       default values.  If an unset parameter's corresponding environment
-       variable (see <xref linkend="libpq-envars"/>) is set, its value is
+       default values.  If an unset parameter's corresponding 
+       <xref linkend="libpq-envars"/> is set, its value is
        used.  If the environment variable is not set either, then the
        parameter's built-in default value is used.
       </para>
@@ -9015,7 +9015,7 @@ myEventProc(PGEventId evtId, void *evtInfo, void *passThrough)
   </sect2>
  </sect1>
 
- <sect1 id="libpq-envars">
+ <sect1 id="libpq-envars" xreflabel="environment variables">
   <title>Environment Variables</title>
 
   <indexterm zone="libpq-envars">
diff --git a/doc/src/sgml/oid2name.sgml b/doc/src/sgml/oid2name.sgml
index 54cc9be2b82..93cc8583614 100644
--- a/doc/src/sgml/oid2name.sgml
+++ b/doc/src/sgml/oid2name.sgml
@@ -219,9 +219,8 @@
   </variablelist>
 
   <para>
-   This utility, like most other <productname>PostgreSQL</productname>
-   utilities, also uses the environment variables supported by
-   <application>libpq</application> (see <xref linkend="libpq-envars"/>).
+   This utility, like most other <productname>PostgreSQL</productname> utilities,
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/clusterdb.sgml b/doc/src/sgml/ref/clusterdb.sgml
index 0d2051bf6f1..9bfce63ee0b 100644
--- a/doc/src/sgml/ref/clusterdb.sgml
+++ b/doc/src/sgml/ref/clusterdb.sgml
@@ -296,8 +296,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/createdb.sgml b/doc/src/sgml/ref/createdb.sgml
index 2ccbe13f390..7504598b9b5 100644
--- a/doc/src/sgml/ref/createdb.sgml
+++ b/doc/src/sgml/ref/createdb.sgml
@@ -392,8 +392,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/createuser.sgml b/doc/src/sgml/ref/createuser.sgml
index 5c34c623423..4719fb247c0 100644
--- a/doc/src/sgml/ref/createuser.sgml
+++ b/doc/src/sgml/ref/createuser.sgml
@@ -477,8 +477,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/dropdb.sgml b/doc/src/sgml/ref/dropdb.sgml
index d36aed38c52..94e10408d66 100644
--- a/doc/src/sgml/ref/dropdb.sgml
+++ b/doc/src/sgml/ref/dropdb.sgml
@@ -258,8 +258,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/dropuser.sgml b/doc/src/sgml/ref/dropuser.sgml
index b6be26d5b0a..180563447ef 100644
--- a/doc/src/sgml/ref/dropuser.sgml
+++ b/doc/src/sgml/ref/dropuser.sgml
@@ -236,8 +236,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/pg_amcheck.sgml b/doc/src/sgml/ref/pg_amcheck.sgml
index ef2bdfd19ae..c3476e3cbe7 100644
--- a/doc/src/sgml/ref/pg_amcheck.sgml
+++ b/doc/src/sgml/ref/pg_amcheck.sgml
@@ -648,10 +648,8 @@ PostgreSQL documentation
   <title>Environment</title>
 
   <para>
-   <command>pg_amcheck</command>, like most other <productname>PostgreSQL</productname>
-   utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   <command>pg_amcheck</command>, like most other <productname>PostgreSQL</productname> utilities,
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/pg_basebackup.sgml b/doc/src/sgml/ref/pg_basebackup.sgml
index fecee08b0a5..16b1e5e7c08 100644
--- a/doc/src/sgml/ref/pg_basebackup.sgml
+++ b/doc/src/sgml/ref/pg_basebackup.sgml
@@ -246,8 +246,7 @@ PostgreSQL documentation
         streaming replication and <link linkend="logicaldecoding-replication-slots-synchronization">
         logical replication slot synchronization</link> will use the same
         settings later on. The dbname will be recorded only if the dbname was
-        specified explicitly in the connection string or <link linkend="libpq-envars">
-        environment variable</link>.
+        specified explicitly in the connection string or <xref linkend="libpq-envars"/>.
        </para>
 
       </listitem>
@@ -950,8 +949,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/pg_combinebackup.sgml b/doc/src/sgml/ref/pg_combinebackup.sgml
index 9a6d201e0b8..103fb29f8ad 100644
--- a/doc/src/sgml/ref/pg_combinebackup.sgml
+++ b/doc/src/sgml/ref/pg_combinebackup.sgml
@@ -326,8 +326,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/pg_dump.sgml b/doc/src/sgml/ref/pg_dump.sgml
index 688e23c0e90..abd6e67b007 100644
--- a/doc/src/sgml/ref/pg_dump.sgml
+++ b/doc/src/sgml/ref/pg_dump.sgml
@@ -1644,8 +1644,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/pg_dumpall.sgml b/doc/src/sgml/ref/pg_dumpall.sgml
index 8834b7ec141..39f00db0058 100644
--- a/doc/src/sgml/ref/pg_dumpall.sgml
+++ b/doc/src/sgml/ref/pg_dumpall.sgml
@@ -862,8 +862,7 @@ exclude database <replaceable class="parameter">PATTERN</replaceable>
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/pg_isready.sgml b/doc/src/sgml/ref/pg_isready.sgml
index ba25ca65a40..1d45f03a17b 100644
--- a/doc/src/sgml/ref/pg_isready.sgml
+++ b/doc/src/sgml/ref/pg_isready.sgml
@@ -155,10 +155,9 @@ PostgreSQL documentation
   <title>Environment</title>
 
   <para>
-   <command>pg_isready</command>, like most other <productname>PostgreSQL</productname>
-   utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   <command>pg_isready</command>, like most other <productname>PostgreSQL</productname> utilities,
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
+
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/pg_receivewal.sgml b/doc/src/sgml/ref/pg_receivewal.sgml
index 9e353a068e5..7778901a0b0 100644
--- a/doc/src/sgml/ref/pg_receivewal.sgml
+++ b/doc/src/sgml/ref/pg_receivewal.sgml
@@ -479,8 +479,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/pg_recvlogical.sgml b/doc/src/sgml/ref/pg_recvlogical.sgml
index 5380d776baf..95ee58c22d5 100644
--- a/doc/src/sgml/ref/pg_recvlogical.sgml
+++ b/doc/src/sgml/ref/pg_recvlogical.sgml
@@ -477,8 +477,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/pg_restore.sgml b/doc/src/sgml/ref/pg_restore.sgml
index a468a38361a..7ddc3d95d42 100644
--- a/doc/src/sgml/ref/pg_restore.sgml
+++ b/doc/src/sgml/ref/pg_restore.sgml
@@ -1062,9 +1062,8 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).  However, it does not read
-   <envar>PGDATABASE</envar> when a database name is not supplied.
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.  
+   However, it does not read <envar>PGDATABASE</envar> when a database name is not supplied.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/pg_rewind.sgml b/doc/src/sgml/ref/pg_rewind.sgml
index 5b155cfa12a..a0377e5cf59 100644
--- a/doc/src/sgml/ref/pg_rewind.sgml
+++ b/doc/src/sgml/ref/pg_rewind.sgml
@@ -207,8 +207,8 @@ PostgreSQL documentation
         Create <filename>standby.signal</filename> and append connection
         settings to <filename>postgresql.auto.conf</filename> in the output
         directory.  The dbname will be recorded only if the dbname was
-        specified explicitly in the connection string or <link linkend="libpq-envars">
-        environment variable</link>. <literal>--source-server</literal> is
+        specified explicitly in the connection string or 
+        <xref linkend="libpq-envars"/>. <literal>--source-server</literal> is
         mandatory with this option.
        </para>
       </listitem>
@@ -349,8 +349,8 @@ PostgreSQL documentation
 
   <para>
    When <option>--source-server</option> option is used,
-   <application>pg_rewind</application> also uses the environment variables
-   supported by <application>libpq</application> (see <xref linkend="libpq-envars"/>).
+   <application>pg_rewind</application> also uses the <xref linkend="libpq-envars"/>
+   supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/pgbench.sgml b/doc/src/sgml/ref/pgbench.sgml
index 2e401d1ceb8..2f323b7763b 100644
--- a/doc/src/sgml/ref/pgbench.sgml
+++ b/doc/src/sgml/ref/pgbench.sgml
@@ -1049,8 +1049,7 @@ pgbench <optional> <replaceable>options</replaceable> </optional> <replaceable>d
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index f56c70263e0..9bfb4068b27 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -672,9 +672,9 @@ EOF
     some typing by setting the environment variables
     <envar>PGDATABASE</envar>, <envar>PGHOST</envar>,
     <envar>PGPORT</envar> and/or <envar>PGUSER</envar> to appropriate
-    values. (For additional environment variables, see <xref
-    linkend="libpq-envars"/>.) It is also convenient to have a
-    <filename>~/.pgpass</filename> file to avoid regularly having to type in
+    values. (For additional <xref linkend="libpq-envars"/>.) 
+    It is also convenient to have a <filename>~/.pgpass</filename> file to 
+    avoid regularly having to type in
     passwords. See <xref linkend="libpq-pgpass"/> for more information.
     </para>
 
@@ -5415,8 +5415,7 @@ PSQL_EDITOR_LINENUMBER_ARG='--line '
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/reindexdb.sgml b/doc/src/sgml/ref/reindexdb.sgml
index a90e48ea86b..2152f88fa24 100644
--- a/doc/src/sgml/ref/reindexdb.sgml
+++ b/doc/src/sgml/ref/reindexdb.sgml
@@ -400,8 +400,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/ref/vacuumdb.sgml b/doc/src/sgml/ref/vacuumdb.sgml
index 508c8dfa146..f434abe999f 100644
--- a/doc/src/sgml/ref/vacuumdb.sgml
+++ b/doc/src/sgml/ref/vacuumdb.sgml
@@ -637,8 +637,7 @@ PostgreSQL documentation
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
  </refsect1>
diff --git a/doc/src/sgml/vacuumlo.sgml b/doc/src/sgml/vacuumlo.sgml
index 26b764d54b7..fdb9f8cd031 100644
--- a/doc/src/sgml/vacuumlo.sgml
+++ b/doc/src/sgml/vacuumlo.sgml
@@ -193,8 +193,7 @@
 
   <para>
    This utility, like most other <productname>PostgreSQL</productname> utilities,
-   also uses the environment variables supported by <application>libpq</application>
-   (see <xref linkend="libpq-envars"/>).
+   also uses the <xref linkend="libpq-envars"/> supported by <application>libpq</application>.
   </para>
 
   <para>
-- 
2.51.2.windows.1

